%define upstream_name Mail-Transport
%define upstream_version 3.005

Name:       perl-%upstream_name
Version:    %upstream_version
Release:    %mkrel 3
Summary:    Email message exchange
Group:      Development/C
License:    GPL+ or Artistic
Url:        https://metacpan.org/release/Mail-Transport
Source0:    https://cpan.metacpan.org/authors/id/M/MA/MARKOV/Mail-Transport-%{version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Errno)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec) >= 0.700.0
BuildRequires: perl(IO::Socket)
BuildRequires: perl(List::Util)
BuildRequires: perl(Mail::Reporter) >= 3.0.0
BuildRequires: perl(Net::SMTP)
BuildRequires: coreutils
BuildRequires: findutils
BuildRequires: make
BuildArch:  noarch
Requires:   perl(IO::Lines)
%{?perl_default_filter}

%description
Email message exchange code, formerly part of the Mail::Box package.

%prep
%setup -q -n Mail-Transport-%{version}

%build
yes y |%{__perl} Makefile.PL INSTALLDIRS=vendor
make

%install
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*

%check
make test

%files
%doc ChangeLog META.json META.yml MYMETA.yml README
%{perl_vendorlib}/Mail/
%{_mandir}/man3/*.3*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 3.005-3.mga10
+ Revision: 2212169
- Mageia 10 Mass Rebuild

* Tue Mar 29 2022 umeabot <umeabot> 3.005-2.mga9
+ Revision: 1831109
- Mageia 9 Mass Rebuild

* Sat Sep 05 2020 guillomovitch <guillomovitch> 3.005-1.mga8
+ Revision: 1622607
- new version 3.005

* Sat Feb 15 2020 umeabot <umeabot> 3.004-2.mga8
+ Revision: 1527676
- Mageia 8 Mass Rebuild

* Tue Jul 23 2019 tv <tv> 3.004-1.mga8
+ Revision: 1423555
- 3.004

* Sat Oct 20 2018 tv <tv> 3.003-1.mga7
+ Revision: 1323106
- update to 3.003

* Thu Sep 20 2018 umeabot <umeabot> 3.000-5.mga7
+ Revision: 1284745
- Mageia 7 Mass Rebuild

* Wed Oct 11 2017 tv <tv> 3.000-4.mga7
+ Revision: 1170999
- imported package perl-Mail-Transport


* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.000-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Wed Jun 07 2017 Jitka Plesnikova <jplesnik@redhat.com> - 3.000-3
- Perl 5.26 rebuild

* Fri Mar 10 2017 Tom Callaway <spot@fedoraproject.org> - 3.000-2
- review cleanups

* Tue Feb  7 2017 Tom Callaway <spot@fedoraproject.org> - 3.000-1
- initial package
